## dp
Class Dice

    java.lang.Object
      dp.Dice

    public class Dice

extends Object

This demo file is a simulation of the "The occasionally dishonest casino" example from the book by R. Durbin, S. Eddy, A. Krogh, G. Mitchison, "Biological Sequence Analysis", Chapter 3 Markov Chains and hidden Markov models, Section 2, pp55-57.

Use: `Dice`

The output consists of three lines: line 1 represents the output sequence generated by the hidden markov model (f for fair and l for loaded). Line 2 contains the name of the die which emitted the corresponding output symbol. Line 3 shows the state sequence predicted by the Viterbi algorithm.

Author:
  Samiul Hasan

Constructor Summary
`Dice()`

Method Summary
`static org.biojava.bio.dp.MarkovModel` `createCasino()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dice

    public Dice()

Method Detail

### main

    public static void main(String[] args)

### createCasino

    public static org.biojava.bio.dp.MarkovModel createCasino()